import { defineComponent as i, openBlock as l, createElementBlock as m, normalizeClass as o, unref as e, createElementVNode as s, createVNode as a, toDisplayString as n } from "vue";
import { HolderOutlined as c } from "@ant-design/icons-vue";
import "../../../../config-provider/index.mjs";
import { useNamespace as d } from "../../../../config-provider/hooks/use-namespace.mjs";
const p = ["title"], v = /* @__PURE__ */ i({
  name: "ApFormSearchFormPopoverSorterItem",
  __name: "sortable-item",
  props: {
    item: {}
  },
  setup(r) {
    const { b: t } = d("search-form-sorter");
    return (f, u) => (l(), m("div", {
      class: o([e(t)("sorter-item"), { [e(t)("sorter-item--hidden")]: r.item.isHidden }])
    }, [
      s("div", null, [
        a(e(c), {
          class: o(e(t)("sorter-item-holder")),
          style: { "font-size": "16px", color: "#abb7cc" }
        }, null, 8, ["class"]),
        s("span", {
          class: o(e(t)("sorter-item-text")),
          title: r.item.label
        }, n(r.item.label), 11, p)
      ])
    ], 2));
  }
});
export {
  v as default
};
